Bug 446508 - Review Request: cflow - Analyzes C files charting control flow within the program
Review Request: cflow - Analyzes C files charting control flow within the pro...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-14 17:32 EDT by Terje Røsten
Modified: 2008-05-19 16:55 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-19 16:55:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Terje Røsten 2008-05-14 17:32:05 EDT
Spec URL: http://terjeros.fedorapeople.org/cflow/cflow.spec
SRPM URL: http://terjeros.fedorapeople.org/cflow/cflow-1.2-1.fc9.src.rpm
Description:
GNU cflow analyzes a collection of C source files and prints a graph,
charting control flow within the program.

GNU cflow is able to produce both direct and inverted flowgraphs for C
sources. Optionally a cross-reference listing can be generated. Two
output formats are implemented: POSIX and GNU (extended).
Comment 1 Parag AN(पराग) 2008-05-16 01:34:22 EDT
Build failed -> http://koji.fedoraproject.org/koji/taskinfo?taskID=611821

    File not found:
/var/tmp/cflow-1.2-1.fc10-root-mockbuild/usr/share/emacs/site-lisp/cflow-mode.el
Comment 3 Parag AN(पराग) 2008-05-19 00:44:49 EDT
Review:
+ package builds in mock (development i386).
koji build=http://koji.fedoraproject.org/koji/taskinfo?taskID=616745
+ rpmlint is silent for SRPM and RPM.
+ source files match upstream.
e0ef18aef99d1e7115b0b50d361ac6f7  cflow-1.2.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets are used.
+ Package cflow-1.2-2.fc10 =>
  Requires: libc.so.6 libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1)
libc.so.6(GLIBC_2.1.1) libc.so.6(GLIBC_2.2) libc.so.6(GLIBC_2.3)
libc.so.6(GLIBC_2.3.4) libc.so.6(GLIBC_2.4) rtld(GNU_HASH)
+ Not a GUI app.

APPROVED.
Comment 4 Terje Røsten 2008-05-19 01:37:50 EDT
> APPROVED.


Thanks!

New Package CVS Request
=======================
Package Name: cflow
Short Description: Analyzes C files charting control flow within the program
Owners: terjeros
Branches: F-7 F-8 F-9
InitialCC:
Cvsextras Commits: yes
Comment 5 Kevin Fenzi 2008-05-19 12:16:20 EDT
cvs done.
Comment 6 Terje Røsten 2008-05-19 16:55:31 EDT
> cvs done.

Thanks Kevin, package ready for testing in F-7, F-8, F-9 and rawhide.

Note You need to log in before you can comment on or make changes to this bug.